Bug Hunting Session
Bug 126197 - CRASH: sd::View::SdrEndTextEdit(bool) (part 2)
Summary: CRASH: sd::View::SdrEndTextEdit(bool) (part 2)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2019-07-02 14:51 UTC by Xisco Faulí
Modified: 2019-07-25 13:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["sd::View::SdrEndTextEdit(bool)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-07-02 14:51:44 UTC
Steps to reproduce:
1. Open impress
2. Insert a new drawing
3. menu Window - new Window
4. Double click on the drawing on view1
5. Go to view2 and cut/delete the drawing

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-02 14:53:19 UTC
Most likely introduced by the same range: https://bugs.documentfoundation.org/show_bug.cgi?id=111522#c8
Comment 2 Commit Notification 2019-07-04 12:25:43 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/80db66c4f345ac469943f871308b14b7f5ed0a11%5E%21

tdf#126197: EndTextEdit on all views before delete/cut shape

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-07-04 13:24:39 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/e79dbb8c6c4d2cf1ce2cf0ce67c53ed4bb09898b%5E%21

tdf#126197: EndTextEdit on all views before delete/cut shape

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-07-25 13:44:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/cbc54319369fc4bf1566bc4f46e53e38ef4e74ae%5E%21

tdf#126197: EndTextEdit on all views before delete/cut shape

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.